# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EricServerPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricServerPage(object):
    def setupUi(self, EricServerPage):
        EricServerPage.setObjectName("EricServerPage")
        EricServerPage.resize(510, 452)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(EricServerPage)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.headerLabel = QtWidgets.QLabel(parent=EricServerPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_2.addWidget(self.headerLabel)
        self.line11 = QtWidgets.QFrame(parent=EricServerPage)
        self.line11.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line11.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line11.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line11.setObjectName("line11")
        self.verticalLayout_2.addWidget(self.line11)
        self.label_2 = QtWidgets.QLabel(parent=EricServerPage)
        self.label_2.setWordWrap(True)
        self.label_2.setObjectName("label_2")
        self.verticalLayout_2.addWidget(self.label_2)
        self.groupBox = QtWidgets.QGroupBox(parent=EricServerPage)
        self.groupBox.setObjectName("groupBox")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.timeoutSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.timeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.timeoutSpinBox.setMinimum(5)
        self.timeoutSpinBox.setMaximum(60)
        self.timeoutSpinBox.setObjectName("timeoutSpinBox")
        self.horizontalLayout.addWidget(self.timeoutSpinBox)
        spacerItem = QtWidgets.QSpacerItem(294, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout_2.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=EricServerPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout.setObjectName("verticalLayout")
        self.startShellCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.startShellCheckBox.setObjectName("startShellCheckBox")
        self.verticalLayout.addWidget(self.startShellCheckBox)
        self.verticalLayout_2.addWidget(self.groupBox_2)
        spacerItem1 = QtWidgets.QSpacerItem(20, 87, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem1)

        self.retranslateUi(EricServerPage)
        QtCore.QMetaObject.connectSlotsByName(EricServerPage)
        EricServerPage.setTabOrder(self.timeoutSpinBox, self.startShellCheckBox)

    def retranslateUi(self, EricServerPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("EricServerPage", "<b>Configure eric-ide Server Settings</b>"))
        self.label_2.setText(_translate("EricServerPage", "<b>Note:</b> The eric-ide server is configured via command line parameters. The parameters of this page configure the interface to the eric-ide server."))
        self.groupBox.setTitle(_translate("EricServerPage", "Server Connection"))
        self.label.setText(_translate("EricServerPage", "Default Timeout:"))
        self.timeoutSpinBox.setSuffix(_translate("EricServerPage", " s"))
        self.groupBox_2.setTitle(_translate("EricServerPage", "Shell"))
        self.startShellCheckBox.setToolTip(_translate("EricServerPage", "Select this to start an eric-ide Server Shell when a connection to an eric-ide Server is established."))
        self.startShellCheckBox.setText(_translate("EricServerPage", "Start server Shell when server is connected"))
